Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.IfElseStatementContext

- org.apache.groovy.parser.antlr4.GroovyParser.IfElseStatementContext

-     public static class GroovyParser.IfElseStatementContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.StatementContext` | `fb` |
    `GroovyParser.StatementContext` | `tb` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IfElseStatementContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ELSE()`
    `` | `public TerminalNode` | `IF()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ExpressionInParContext` | `expressionInPar()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public GroovyParser.SepContext` | `sep()`
    `` | `public List<? extends StatementContext>` | `statement()`
    `` | `public GroovyParser.StatementContext` | `statement(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.StatementContext fb

    - #### public GroovyParser.StatementContext tb

  - ### Constructor Detail

    - #### public IfElseStatementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode ELSE()

    - #### public TerminalNode IF()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ExpressionInParContext expressionInPar()

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public GroovyParser.SepContext sep()

    - #### public List<? extends StatementContext> statement()

    - #### public GroovyParser.StatementContext statement(int i)